## com.baidubce.services.bos.model
Class CompleteMultipartUploadRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.GenericUploadRequest
                      com.baidubce.services.bos.model.CompleteMultipartUploadRequest

    public class CompleteMultipartUploadRequest

extends GenericUploadRequest

Container for the parameters of the CompleteMultipartUpload operation.

Required Parameters: BucketName, Key, UploadId, ObjectMetadata, PartETags

Constructor Summary
`CompleteMultipartUploadRequest()`
`CompleteMultipartUploadRequest(String bucketName, String key, String uploadId, List<PartETag> partETags)` Constructs a new request to complete a multipart upload.
`CompleteMultipartUploadRequest(String bucketName, String key, String uploadId, List<PartETag> partETags, ObjectMetadata objectMetadata)` Constructs a new request to complete a multipart upload.

Method Summary
`ObjectMetadata` `getObjectMetadata()` Gets the optional metadata instructing Baidu Bos how to handle the uploaded data.
`List<PartETag>` `getPartETags()` Returns the list of part numbers and ETags that identify the individual parts of the multipart upload to complete.
`void` `setObjectMetadata(ObjectMetadata objectMetadata)` Sets the optional metadata instructing Baidu Bos how to handle the uploaded data.
`void` `setPartETags(List<PartETag> partETags)` Sets the list of part numbers and ETags that identify the individual parts of the multipart upload to complete.
`CompleteMultipartUploadRequest` `withBucketName(String bucketName)` Sets the name of the bucket containing the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest so that additional method calls can be chained together.
`CompleteMultipartUploadRequest` `withKey(String key)` Sets the key under which the multipart upload to complete is stored, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained together.
`CompleteMultipartUploadRequest` `withObjectMetadata(ObjectMetadata objectMetadata)` Sets the optional metadata instructing Baidu Bos how to handle the uploaded data .
`CompleteMultipartUploadRequest` `withPartETags(List<PartETag> partETags)` Sets the list of part numbers and ETags that identify the individual parts of the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained.
`CompleteMultipartUploadRequest` `withRequestCredentials(BceCredentials credentials)`
`CompleteMultipartUploadRequest` `withUploadId(String uploadId)` Sets the ID of the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained together.

Methods inherited from class com.baidubce.services.bos.model.GenericUploadRequest
`getUploadId, setUploadId`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteMultipartUploadRequest

    public CompleteMultipartUploadRequest()

### CompleteMultipartUploadRequest

    public CompleteMultipartUploadRequest(String bucketName,
                                          String key,
                                          String uploadId,
                                          List<PartETag> partETags)

  Constructs a new request to complete a multipart upload.

  Parameters:
    `bucketName` - The name of the bucket containing the multipart upload to complete.
    `key` - The key of the multipart upload to complete.
    `uploadId` - The ID of the multipart upload to complete.
    `partETags` - The list of part numbers and ETags to use when completing the multipart upload.

### CompleteMultipartUploadRequest

    public CompleteMultipartUploadRequest(String bucketName,
                                          String key,
                                          String uploadId,
                                          List<PartETag> partETags,
                                          ObjectMetadata objectMetadata)

  Constructs a new request to complete a multipart upload.

  Parameters:
    `bucketName` - The name of the bucket containing the multipart upload to complete.
    `key` - The key of the multipart upload to complete.
    `uploadId` - The ID of the multipart upload to complete.
    `partETags` - The list of part numbers and ETags to use when completing the multipart upload.
    `objectMetadata` - The optional metadata instructing Baidu Bos how to handle the uploaded data.

Method Detail

### withRequestCredentials

    public CompleteMultipartUploadRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public CompleteMultipartUploadRequest withBucketName(String bucketName)

  Sets the name of the bucket containing the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest so that additional method calls can be chained together.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - The name of the bucket containing the multipart upload to complete.
  Returns:
    The updated CompleteMultipartUploadRequest.

### withKey

    public CompleteMultipartUploadRequest withKey(String key)

  Sets the key under which the multipart upload to complete is stored, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained together.

  Specified by:
    `withKey` in class `GenericObjectRequest`
  Parameters:
    `key` - The key under which the multipart upload to complete is stored.
  Returns:
    This updated CompleteMultipartUploadRequest object.

### withUploadId

    public CompleteMultipartUploadRequest withUploadId(String uploadId)

  Sets the ID of the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained together.

  Specified by:
    `withUploadId` in class `GenericUploadRequest`
  Parameters:
    `uploadId` - The ID of the multipart upload to complete.
  Returns:
    This updated CompleteMultipartUploadRequest object.

### getObjectMetadata

    public ObjectMetadata getObjectMetadata()

  Gets the optional metadata instructing Baidu Bos how to handle the uploaded data.

  Returns:
    The optional metadata instructing Baidu Bos how to handle the uploaded data.

### setObjectMetadata

    public void setObjectMetadata(ObjectMetadata objectMetadata)

  Sets the optional metadata instructing Baidu Bos how to handle the uploaded data.

  Parameters:
    `objectMetadata` - The optional metadata instructing Baidu Bos how to handle the uploaded data.

### withObjectMetadata

    public CompleteMultipartUploadRequest withObjectMetadata(ObjectMetadata objectMetadata)

  Sets the optional metadata instructing Baidu Bos how to handle the uploaded data . Returns this CompleteMultipartUploadRequest, enabling additional method calls to be chained together.

  Parameters:
    `objectMetadata` - The optional metadata instructing Baidu Bos how to handle the uploaded data.
  Returns:
    Returns this CompleteMultipartUploadRequest, enabling additional method calls to be chained together.

### getPartETags

    public List<PartETag> getPartETags()

  Returns the list of part numbers and ETags that identify the individual parts of the multipart upload to complete.

  Returns:
    The list of part numbers and ETags that identify the individual parts of the multipart upload to complete.

### setPartETags

    public void setPartETags(List<PartETag> partETags)

  Sets the list of part numbers and ETags that identify the individual parts of the multipart upload to complete.

  Parameters:
    `partETags` - The list of part numbers and ETags that identify the individual parts of the multipart upload to complete.

### withPartETags

    public CompleteMultipartUploadRequest withPartETags(List<PartETag> partETags)

  Sets the list of part numbers and ETags that identify the individual parts of the multipart upload to complete, and returns this updated CompleteMultipartUploadRequest object so that additional method calls can be chained.

  Parameters:
    `partETags` - The list of part numbers and ETags that identify the individual parts of the multipart upload to complete.
  Returns:
    This updated CompleteMultipartUploadRequest object.

Copyright © 2016. All rights reserved.